Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6360 - eject -t gives spurious error message
Summary: eject -t gives spurious error message
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: eject
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-26 00:38 UTC by jeastmond
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 03:14:20 UTC


Attachments (Terms of Use)

Description jeastmond 1999-10-26 00:38:35 UTC
I've been using an parallel port HP7200e CD-ReWriter for a
while now with no problems.

One thing I do notice is when I issue the command:

eject -t /dev/pcd0

to close the CD tray it works fine but I get the message:

eject: CD-ROM tray close command failed: Operation not
permitted

I find that I still get the message even if I'm root.

The output from the pcd driver with verbose=2 is as follows.

When the driver module is first loaded I get:

pcd: pcd version 1.07, major 46, nice 0
pcd0: epat: port 0x3bc, mode 0, ccr ff, test=(255,255,510)
pcd0: epat: port 0x3bc, mode 1, ccr ff, test=(255,255,510)
pcd0: epat: port 0x3bc, mode 2, ccr ff, test=(255,255,510)
pcd0: 0x378 is parport0
pcd0: epat: port 0x378, mode 0, ccr 0, test=(256,0,0)
pcd0: epat: port 0x378, mode 1, ccr 40, test=(256,224,448)
pcd0: epat: port 0x378, mode 2, ccr 0, test=(256,0,0)
pcd0: epat: port 0x378, mode 3, ccr 0, test=(256,0,0)
pcd0: epat: port 0x378, mode 4, ccr 0, test=(256,0,0)
pcd0: epat: port 0x378, mode 5, ccr 0, test=(256,0,0)
pcd0: Sharing parport0 at 0x378
pcd0: epat 1.01, Shuttle EPAT chip c6 at 0x378, mode 5
(EPP-32), delay 1
pcd0: Reset (1) signature = 6f 6f 6f 6f 6f (incorrect)
pcd0: Reset (22) signature = 1 1 1 14 eb
pcd0: identify: Read 36 bytes
pcd0: Slave: CD-Writer+ 7200

When I issue eject /dev/pcd0 (giving no error message) I
get:

VFS: Disk change detected on device pcd(46,0)
pcd0: unlock door completion: alt=0x51 stat=0x51 err=0x60
loop=0 phase=3
pcd0: Request sense: Read 16 bytes
pcd0: unlock door: Sense key: 6, ASC: 29, ASQ: 0

When I issue eject -t /dev/pcd0 (giving the error message
decribed above) I get:

VFS: Disk change detected on device pcd(46,0)
pcd0: close tray completion: alt=0x51 stat=0x51 err=0x20
loop=94537
phase=3
pcd0: Request sense: Read 16 bytes
pcd0: close tray: Sense key: 2, ASC: 3a, ASQ: 0

Comment 1 Preston Brown 2000-01-13 03:14:59 UTC
I believe this is a linux kernel driver bug, or a hardware bug.  Most CD-ROMS
have shoddy support for tray closing, at best.

Ignore it and be happy. :) Doesn't happen on the vast majority of drives.


Note You need to log in before you can comment on or make changes to this bug.